﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ScimultiPane
{
	public partial class MainWindow : Window, INotifyPropertyChanged
	{
		private ObservableCollection<BaseChartPaneViewModel> _chartPaneViewModels;
		public event PropertyChangedEventHandler PropertyChanged;
		protected void OnPropertyChanged(string propertyName)
		{
			var handler = PropertyChanged;
			if (handler != null)
			{
				handler(this, new PropertyChangedEventArgs(propertyName));
			}
		}
		public ObservableCollection<BaseChartPaneViewModel> ChartPanes
		{
			get { return _chartPaneViewModels; }
			set
			{
				if (_chartPaneViewModels == value) return;

				_chartPaneViewModels = value;
				OnPropertyChanged("ChartPanes");
			}
		}
		public MainWindow()
		{
			DataContext = this;

			InitializeComponent();

			_chartPaneViewModels = new  ObservableCollection<BaseChartPaneViewModel>();
			_chartPaneViewModels.CollectionChanged += ChartPanesCollectionChanged;

			var test = new CreateMultiPaneStockChartsViewModel();

			//this code throws exception
			//foreach (var p in test.ChartPaneViewModels)
				//ChartPanes.Add(p);

			//this code is working fine
			ChartPanes = test.ChartPaneViewModels;

		}
		private void ChartPanesCollectionChanged(object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e)
		{
			OnPropertyChanged("ChartPanes");
		}
	}
}
